-- by modelleicher
--
-- www.schwabenmodding.bplaced.net

Fender = {};

function Fender.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function Fender:load(xmlFile)
    self.FenderLK = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.Fenders.FenderLK#index"));
    self.FenderRK = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.Fenders.FenderRK#index"));
    self.FenderPoint = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.Fenders.FenderPoint#index"));		
end;

function Fender:delete()
end;

function Fender:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Fender:keyEvent(unicode, sym, modifier, isDown)
end;

function Fender:update(dt)
    if self:getIsActive() then
		self.GetRotRT, self.GetRotRTT, self.GetRotRTTT = getRotation(self.FenderPoint)
		self.RotateF = (self.GetRotRTT /35)
		setRotation(self.FenderLK, 0, 0, -self.RotateF)		
		setRotation(self.FenderRK, 0, 0, -self.RotateF)		   		
	end;
end;

function Fender:draw()
end;

